readGenes.ped {GeneticsBase} | R Documentation

## Function to read pedigree file format

### Description

Function to read pedigree file format

### Usage

    readGenes.ped(filename, columns = c("family", "pid", "father", "mother", "sex"),
                  phase = list(FALSE), quiet = FALSE, missingval = c(0), ...)
    readGenes.hapmap.ped(filename, ...)
    readGenes.fbat.ped(filename, ...)
    readGenes.pbat.ped(filename, ...)

### Arguments

`filename` | Name of the file in which data is stored
`columns` | Name of the columns in the pedigree file - by default points to "family", "pid", "father", "mother", "sex"
`phase` | 1. Yes/No for all (logical scalar) 2. Yes/No for each Marker (logical vector) 3. phaseObject (TBD): observation by marker by phase probabilities + definitions of contigs + probability of contigs
`quiet` | Logical: whether the progress of reading the file should be displayed.
`missingval` | Missing values (if any) to obtain missingCodes
`...` | Additional arguments to function read.table

### Author(s)

Gregory R. Warnes warnes@bst.rochester.edu and Nitin Jain nitin.jain@pfizer.com

[Package GeneticsBase version 1.8.0 Index]